Tests: add notap versions of start/stop tracing helpers
[lttng-tools.git] / tests / regression / tools / crash / test_crash
index 63a4a9734eac026e4a1a5dd58612c6ed87a45833..3bf459dc2cb097ce8f5708c4a010a86ae5c14638 100755 (executable)
@@ -31,7 +31,7 @@ NR_ITER=-1
 # Temp file output
 OUTPUT_DIR=$(mktemp -d)
 
-NUM_TESTS=71
+NUM_TESTS=73
 
 source $TESTDIR/utils/utils.sh
 
@@ -229,7 +229,7 @@ function test_lttng_crash()
 
        # Generate 10 events
        $TESTAPP_BIN 10 0
-       stop_lttng_tracing
+       stop_lttng_tracing_ok
 
        crash_recup_count=$($LTTNG_CRASH $shm_path | wc -l)
        test $crash_recup_count -eq "10"
@@ -267,7 +267,7 @@ function test_lttng_crash_extraction()
        start_lttng_tracing_ok $session_name
        # Generate 10 events
        $TESTAPP_BIN 10 0
-       stop_lttng_tracing
+       stop_lttng_tracing_ok
 
        $LTTNG_CRASH -x $extraction_path $shm_path
        ok $? "Extraction of crashed buffers to path"
@@ -360,6 +360,9 @@ function test_lttng_crash_extraction_sigkill()
        # Generate 10 events
        $TESTAPP_BIN 10 0
 
+       sigstop_lttng_sessiond
+       sigstop_lttng_consumerd
+
        # Kill the consumers then sessiond with sigkill
        stop_lttng_consumerd SIGKILL
        stop_lttng_sessiond SIGKILL
@@ -377,6 +380,14 @@ function test_lttng_crash_extraction_sigkill()
        rm -rf $extraction_dir_path
 }
 
+function interrupt_cleanup()
+{
+    diag "*** Cleaning-up test ***"
+    stop_test_apps
+    stop_lttng_sessiond
+    exit 1
+}
+
 TESTS=(
        test_shm_path_per_uid
        test_shm_path_per_pid
@@ -387,6 +398,7 @@ TESTS=(
        test_lttng_crash_extraction_sigkill
 )
 
+trap interrupt_cleanup SIGTERM SIGINT
 
 for fct_test in ${TESTS[@]};
 do
This page took 0.025161 seconds and 5 git commands to generate.